summaryrefslogtreecommitdiff
path: root/travis/setup-guest
diff options
context:
space:
mode:
authorFlavio Castelli <fcastelli@suse.com>2017-07-27 01:23:08 +0200
committerFlavio Castelli <flavio@castelli.me>2017-07-27 14:59:30 +0200
commit991da6f90957a3cba82d6e079423492c5841e74d (patch)
tree22af87ca7a4c3ec8f59ca16f3e868ae5445c523b /travis/setup-guest
parentccf4dff4f872291b5cf131cbdfb3d3c5b2f0dd47 (diff)
downloadterraform-provider-libvirt-991da6f90957a3cba82d6e079423492c5841e74d.tar
terraform-provider-libvirt-991da6f90957a3cba82d6e079423492c5841e74d.tar.gz
Fix broken tests
The tests are failing because travis has an old version of libvirt that is not happy about the xml we generate. Unfortunately there's no way to get a more recent version of ubuntu on travis (it's stuck with trusty!!) and there are not libvirt 2.0 packages for trusty. This commit fixes the issues in the "inception" way: * travis provisions a ubuntu trusty VM as usual * the travis/host script does the following steps: * installs LXD * creates a system container based on the latest release of ubuntu * runs the container as privileged one * mount the git checkout into the container as read-only mount point (it easier than having a RW one) * runs the travis/guest script inside of the container: * install libvirt + go 1.8 * run the acceptance tests, save coverage to file * on the travis VM: * pull the coverage results file from the container * send it to coverall So far everything is working and is a miracle given the container, based on a more recent version of ubuntu, is using the kernel of the host, the old ubuntu trusty. This is just a termporary workaround until either travis updates its VMs to a more recent release of ubuntu or we switch the project to use Jenkins with an openSUSE worker. Signed-off-by: Flavio Castelli <fcastelli@suse.com>
Diffstat (limited to 'travis/setup-guest')
-rwxr-xr-xtravis/setup-guest21
1 files changed, 21 insertions, 0 deletions
diff --git a/travis/setup-guest b/travis/setup-guest
new file mode 100755
index 00000000..43b87853
--- /dev/null
+++ b/travis/setup-guest
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -x
+
+unset http_proxy
+
+check_network() {
+ ping -c 3 archive.ubuntu.com
+}
+
+while check_network ; [ $? -ne 0 ];do
+ echo waiting for network to be ready...
+ sleep 1
+done
+
+apt-get -qq update
+apt-get install -y qemu libvirt-bin libvirt-dev golang-1.8
+echo -e "<pool type='dir'>\n<name>default</name>\n<target>\n<path>/pool-default</path>\n</target>\n</pool>" > pool.xml
+mkdir /pool-default
+chmod a+rwx /pool-default
+virsh pool-define pool.xml
+virsh pool-start default